[Overview][Constants][Types][Classes][Procedures and functions][Variables][Index] | Reference for unit 'Controls' (#lcl)

# TWinControl.CMBorderChanged

Handles a CM_BORDERCHANGED message received for the control.

## Declaration

Source position: controls.pp line 2197

`protected procedure TWinControl.CMBorderChanged(`
`var Message: TLMessage`
`); message;`

## Arguments

`Message` |  | Control message examined and applied in the method.

## Description

CMBorderChanged ensures that the size and client rectangle are adjusted when a border is added to or removed from the control. It calls DoAdjustClientRectChange and AdjustSize to update values in the control. It calls Invalidate to force the control to be redrawn with the new size and client rectangle.